#
# spec file for package ghc-tasty-hedgehog
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name tasty-hedgehog
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.1.0.0
Release:        bp154.2.14
Summary:        Integration for tasty and hedgehog
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/3.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-hedgehog-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-tasty-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-tasty-expected-failure-devel
%endif

%description
Integrates the <https://hackage.haskell.org/package/hedgehog hedgehog testing
library> with the <https://hackage.haskell.org/package/tasty tasty testing
framework>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENCE

%files devel -f %{name}-devel.files
%doc changelog.md

%changelog
* Sun Jan 30 2022 Peter Simons <psimons@suse.com>
- Update tasty-hedgehog to version 1.1.0.0 revision 3.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Apr 26 2021 psimons@suse.com
- Add tasty-hedgehog at version 1.1.0.0.
